org.jfree.chart

## Class DrawableLegendItem

- java.lang.Object
- - org.jfree.chart.DrawableLegendItem

Deprecated.
This class is not used by JFreeChart.

    public class DrawableLegendItem
    extends java.lang.Object

This class contains a single legend item along with position details for drawing the item on a particular chart.

### Constructor Summary

Constructors
Constructor and Description
`DrawableLegendItem(LegendItem item)` Deprecated. Create a legend item.

### Method Summary

Methods
`double` `getHeight()` Deprecated. Get the height of this item.
`LegendItem` `getItem()` Deprecated. Returns the legend item.
`java.awt.geom.Point2D` `getLabelPosition()` Deprecated. Returns the label position.
`java.awt.geom.Line2D` `getLine()` Deprecated. Returns the list.
`java.awt.Shape` `getMarker()` Deprecated. Get the marker.
`double` `getMaxX()` Deprecated. Returns the largest X coordinate of the framing rectangle of this legend item.
`double` `getMaxY()` Deprecated. Returns the largest Y coordinate of the framing rectangle of this legend item.
`double` `getWidth()` Deprecated. Get the width of this item.
`double` `getX()` Deprecated. Get the x-coordinate for the item's location.
`double` `getY()` Deprecated. Get the y-coordinate for the item's location.
`void` `setBounds(double x, double y, double width, double height)` Deprecated. Set the bounds of this item.
`void` `setLabelPosition(java.awt.geom.Point2D position)` Deprecated. Sets the label position.
`void` `setLine(java.awt.geom.Line2D l)` Deprecated. Sets the line used to label this series.
`void` `setMarker(java.awt.Shape marker)` Deprecated. Set the marker.
`void` `setX(double x)` Deprecated. Set the x-coordinate for the item's location.
`void` `setY(double y)` Deprecated. Set the y-coordinate for the item's location.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DrawableLegendItem

    public DrawableLegendItem(LegendItem item)

Deprecated.
Create a legend item.

Parameters:
  `item` - the legend item for display.

### Method Detail

#### getItem

    public LegendItem getItem()

Deprecated.
Returns the legend item.

Returns:
  The legend item.

#### getX

    public double getX()

Deprecated.
Get the x-coordinate for the item's location.

Returns:
  The x-coordinate for the item's location.

#### setX

    public void setX(double x)

Deprecated.
Set the x-coordinate for the item's location.

Parameters:
  `x` - the x-coordinate.

#### getY

    public double getY()

Deprecated.
Get the y-coordinate for the item's location.

Returns:
  The y-coordinate for the item's location.

#### setY

    public void setY(double y)

Deprecated.
Set the y-coordinate for the item's location.

Parameters:
  `y` - the y-coordinate.

#### getWidth

    public double getWidth()

Deprecated.
Get the width of this item.

Returns:
  The width.

#### getHeight

    public double getHeight()

Deprecated.
Get the height of this item.

Returns:
  The height.

#### getMaxX

    public double getMaxX()

Deprecated.
Returns the largest X coordinate of the framing rectangle of this legend item.

Returns:
  The largest x coordinate of the framing rectangle of this legend item.

#### getMaxY

    public double getMaxY()

Deprecated.
Returns the largest Y coordinate of the framing rectangle of this legend item.

Returns:
  The largest Y coordinate of the framing rectangle of this legend item.

#### getMarker

    public java.awt.Shape getMarker()

Deprecated.
Get the marker.

Returns:
  The shape used to indicate color on the legend for this item.

#### setMarker

    public void setMarker(java.awt.Shape marker)

Deprecated.
Set the marker.

Parameters:
  `marker` - a shape used to indicate color on the legend for this item.

#### setLine

    public void setLine(java.awt.geom.Line2D l)

Deprecated.
Sets the line used to label this series.

Parameters:
  `l` - the new line to use.

#### getLine

    public java.awt.geom.Line2D getLine()

Deprecated.
Returns the list.

Returns:
  The line.

#### getLabelPosition

    public java.awt.geom.Point2D getLabelPosition()

Deprecated.
Returns the label position.

Returns:
  The label position.

#### setLabelPosition

    public void setLabelPosition(java.awt.geom.Point2D position)

Deprecated.
Sets the label position.

Parameters:
  `position` - the label position.

#### setBounds

    public void setBounds(double x,
                 double y,
                 double width,
                 double height)

Deprecated.
Set the bounds of this item.

Parameters:
  `x` - x-coordinate for the item's location.
  `y` - y-coordinate for the item's location.
  `width` - the width of this item.
  `height` - the height of this item.